Bug 1245971 - CVE-2015-5600 openssh: authentication limits (MaxAuthTries) bypass [fedora-all]
Summary: CVE-2015-5600 openssh: authentication limits (MaxAuthTries) bypass [fedora-all]
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5600
TreeView+ depends on / blocked
 
Reported: 2015-07-23 08:48 UTC by Martin Prpič
Modified: 2015-08-27 23:49 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-27 23:49:05 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-07-23 08:48:16 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-07-23 08:48:21 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1245969,1245971

# Description of your update
notes=Security fix for CVE-2015-5600

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1245969,1245971

Comment 2 Jakub Jelen 2015-07-23 08:59:52 UTC
Fedora shipped openssh with default configuration is not directly affected but this vulnerability, since option
> ChallengeResponseAuthentication no
is in shipped sshd_config and from this value is derived value of KbdInteractiveAuthentication if not specified something else.

Anyway I will prepare security update with fix provided by upstream:
https://anongit.mindrot.org/openssh.git/patch/?id=5b64f85bb811246c59ebab

Comment 3 Fedora Update System 2015-07-23 11:13:26 UTC
openssh-6.9p1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/openssh-6.9p1-3.fc22

Comment 4 Fedora Update System 2015-07-23 11:25:52 UTC
openssh-6.6.1p1-14.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openssh-6.6.1p1-14.fc21

Comment 5 Fedora Update System 2015-07-29 01:51:19 UTC
Package openssh-6.6.1p1-14.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-6.6.1p1-14.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12012/openssh-6.6.1p1-14.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-07-30 13:56:20 UTC
openssh-6.9p1-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-14 12:01:19 UTC
openssh-6.6.1p1-16.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openssh-6.6.1p1-16.fc21

Comment 8 Fedora Update System 2015-08-27 23:49:02 UTC
openssh-6.6.1p1-16.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.